# pulp_rpm-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 3.0.0b3.dev.1560786983
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_rpm 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_rpm
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulp_rpm
from pulpcore.client.pulp_rpm.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulp_rpm.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = pulpcore.client.pulp_rpm.ContentApi(pulpcore.client.pulp_rpm.ApiClient(configuration))
data = pulpcore.client.pulp_rpm.UpdateRecord() # UpdateRecord | 

try:
    # Create an update record
    api_response = api_instance.content_rpm_advisories_create(data)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentApi->content_rpm_advisories_create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentApi* | [**content_rpm_advisories_create**](docs/ContentApi.md#content_rpm_advisories_create) | **POST** /pulp/api/v3/content/rpm/advisories/ | Create an update record
*ContentApi* | [**content_rpm_advisories_list**](docs/ContentApi.md#content_rpm_advisories_list) | **GET** /pulp/api/v3/content/rpm/advisories/ | List update records
*ContentApi* | [**content_rpm_advisories_read**](docs/ContentApi.md#content_rpm_advisories_read) | **GET** {update_record_href} | Inspect an update record
*ContentApi* | [**content_rpm_packages_create**](docs/ContentApi.md#content_rpm_packages_create) | **POST** /pulp/api/v3/content/rpm/packages/ | Create a package
*ContentApi* | [**content_rpm_packages_list**](docs/ContentApi.md#content_rpm_packages_list) | **GET** /pulp/api/v3/content/rpm/packages/ | List packages
*ContentApi* | [**content_rpm_packages_read**](docs/ContentApi.md#content_rpm_packages_read) | **GET** {package_href} | Inspect a package
*DistributionsApi* | [**distributions_rpm_rpm_create**](docs/DistributionsApi.md#distributions_rpm_rpm_create) | **POST** /pulp/api/v3/distributions/rpm/rpm/ | Create a rpm distribution
*DistributionsApi* | [**distributions_rpm_rpm_delete**](docs/DistributionsApi.md#distributions_rpm_rpm_delete) | **DELETE** {rpm_distribution_href} | Delete a rpm distribution
*DistributionsApi* | [**distributions_rpm_rpm_list**](docs/DistributionsApi.md#distributions_rpm_rpm_list) | **GET** /pulp/api/v3/distributions/rpm/rpm/ | List rpm distributions
*DistributionsApi* | [**distributions_rpm_rpm_partial_update**](docs/DistributionsApi.md#distributions_rpm_rpm_partial_update) | **PATCH** {rpm_distribution_href} | Partially update a rpm distribution
*DistributionsApi* | [**distributions_rpm_rpm_read**](docs/DistributionsApi.md#distributions_rpm_rpm_read) | **GET** {rpm_distribution_href} | Inspect a rpm distribution
*DistributionsApi* | [**distributions_rpm_rpm_update**](docs/DistributionsApi.md#distributions_rpm_rpm_update) | **PUT** {rpm_distribution_href} | Update a rpm distribution
*PublicationsApi* | [**publications_rpm_rpm_create**](docs/PublicationsApi.md#publications_rpm_rpm_create) | **POST** /pulp/api/v3/publications/rpm/rpm/ | Create a rpm publication
*PublicationsApi* | [**publications_rpm_rpm_delete**](docs/PublicationsApi.md#publications_rpm_rpm_delete) | **DELETE** {rpm_publication_href} | Delete a rpm publication
*PublicationsApi* | [**publications_rpm_rpm_list**](docs/PublicationsApi.md#publications_rpm_rpm_list) | **GET** /pulp/api/v3/publications/rpm/rpm/ | List rpm publications
*PublicationsApi* | [**publications_rpm_rpm_read**](docs/PublicationsApi.md#publications_rpm_rpm_read) | **GET** {rpm_publication_href} | Inspect a rpm publication
*RemotesApi* | [**remotes_rpm_rpm_create**](docs/RemotesApi.md#remotes_rpm_rpm_create) | **POST** /pulp/api/v3/remotes/rpm/rpm/ | Create a rpm remote
*RemotesApi* | [**remotes_rpm_rpm_delete**](docs/RemotesApi.md#remotes_rpm_rpm_delete) | **DELETE** {rpm_remote_href} | Delete a rpm remote
*RemotesApi* | [**remotes_rpm_rpm_list**](docs/RemotesApi.md#remotes_rpm_rpm_list) | **GET** /pulp/api/v3/remotes/rpm/rpm/ | List rpm remotes
*RemotesApi* | [**remotes_rpm_rpm_partial_update**](docs/RemotesApi.md#remotes_rpm_rpm_partial_update) | **PATCH** {rpm_remote_href} | Partially update a rpm remote
*RemotesApi* | [**remotes_rpm_rpm_read**](docs/RemotesApi.md#remotes_rpm_rpm_read) | **GET** {rpm_remote_href} | Inspect a rpm remote
*RemotesApi* | [**remotes_rpm_rpm_sync**](docs/RemotesApi.md#remotes_rpm_rpm_sync) | **POST** {rpm_remote_href}sync/ | Sync from remote
*RemotesApi* | [**remotes_rpm_rpm_update**](docs/RemotesApi.md#remotes_rpm_rpm_update) | **PUT** {rpm_remote_href} | Update a rpm remote
*RpmApi* | [**copy_content**](docs/RpmApi.md#copy_content) | **POST** /rpm/copy/ | Copy content
*RpmApi* | [**upload_rpm_package**](docs/RpmApi.md#upload_rpm_package) | **POST** /rpm/upload/ | Upload a package


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [Package](docs/Package.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [RpmDistribution](docs/RpmDistribution.md)
 - [RpmPublication](docs/RpmPublication.md)
 - [RpmRemote](docs/RpmRemote.md)
 - [UpdateRecord](docs/UpdateRecord.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




